> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a ledger

> Creates a new ledger scoped to a project.



## OpenAPI

````yaml POST /projects/{project_id}/ledgers
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /projects/{project_id}/ledgers:
    post:
      summary: Create a ledger on a project
      description: Creates a new ledger scoped to a project.
      operationId: create-project-ledger
      parameters:
        - name: project_id
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                ledger:
                  type: object
                  required:
                    - name
                    - unit
                  properties:
                    name:
                      type: string
                      description: Name of the ledger
                    unit:
                      type: string
                      description: Unit of measurement for the ledger
                    nexus_asset_category_id:
                      type: integer
                      description: Optional asset category ID
            examples:
              Request Example:
                value:
                  ledger:
                    name: Net Carbon Removal
                    unit: t
      responses:
        '201':
          description: '201'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: lgr_abc123def456
                    name: Net Carbon Removal
                    unit: t
                    system_ledger_type: null
                    partition_type: null
                    cadence: null
                    latest_model: null
                    asset_category: null
                    created_at: '2025-01-15T10:00:00.000Z'
                    updated_at: '2025-01-15T10:00:00.000Z'
        '422':
          description: '422'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 422
                    errors:
                      - message: Name can't be blank
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````